Subject: [AVT] Review of draft-ietf-avt-rtp-g718-03

From: Qin Wu <[email-masked]>
Date: Fri, 26 Nov 2010 12:32:21 +0800

Hi,
I have read draft-ietf-avt-rtp-g718-03 and have some editorial comments  as follows:

Section 2.1:
It is not clear to me the meaning of  "together with L1' , modified L3'
   is used instead of L3" described in section 2.1, do you mean that enhancement layer 3' depends on L1'?

Section 2.3:
It will be useful to add a reference to draft-ietf-avt-rtp-svc-24 in the section 2.3, since draft-ietf-avt-rtp-svc-24 firstly defines
two basic modes for transmission of SVC data, single session transmission (SST) 
and multi-session transmission (MST).  

Section 2.4: "Scaling scenarios & rate control"
rephrase the following sentence of section 2.4
"
   3. An intermediate network element passes forward only a subset of
      layers it receives

"
as
"
   3. An intermediate network element passes through only a subset of
      layers it receives

"
It will be useful in the section 2.4 to add anchor points to section 3.3 "G.718 scaling
" and section 6 "Congestion Control" Since section 2.4 or merge section 2.4, 3.3 and section 6
together, since section 2.4 talks about who do rate control, section 3.3 and section 6 talks about
which way can be used to perform rate control, i.e., payload thinning or dropping.

Section 3.5
It will be useful to explain when G.718 session consist of only one session and when G.718 session consists of more than one session.
I think the right answer can be found in the section 2.3.

Section 3.6
It will be useful to add reference to RFC3550 and RFC6051 since RFC3550 defines sender Report and RFC6051 talks about how to reduce the synchronisation
 delay for RTP sessions.

Section 6 "Congestion Control"
It is not clear what's the difference between payload carrying EDUs and Transport Block carrying EDUs since 
payload consists of a payload header, followed by one or more transport blocks?

Are you saying in Multiple Session Transmission mode, some payloads are dedicated to carry only high layer data EDU?
these payload MUST be discarded?

Regards!
-Qin